BUG! exception in phase 'semantic analysis'

All your suggestions, requests and ideas for future development
Post Reply
john2691
Posts: 7
Joined: 24 Jan 2017, 07:21

BUG! exception in phase 'semantic analysis'

Post by john2691 » 10 Oct 2018, 02:57

I'm getting the following error when trying to run any "filebot -script" commands on MacOS Mojave, filebot v4.8.2
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' null
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' null
at net.filebot.cli.ScriptShell.evaluate(ScriptShell.java:64)
at net.filebot.cli.ScriptShell.runScript(ScriptShell.java:74)
at net.filebot.cli.ArgumentProcessor.runScript(ArgumentProcessor.java:154)
at net.filebot.cli.ArgumentProcessor.run(ArgumentProcessor.java:36)
at net.filebot.Main.main(Main.java:131)
Caused by: java.lang.UnsupportedOperationException
at groovyjarjarasm.asm.ClassVisitor.visitNestMemberExperimental(ClassVisitor.java:248)
at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:651)
at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:391)
... 5 more
I've ensured that Java is up to date, as well as Filebot. It worked perfectly a few weeks ago, unfortunately I had to wipe my machine and start from scratch, and it hasn't worked since. Any help would be greatly appreciated.

User avatar
rednoah
The Source
Posts: 14942
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: BUG! exception in phase 'semantic analysis'

Post by rednoah » 10 Oct 2018, 07:44

1.
This error means that your script is not compatible with the latest version of FileBot / Groovy. You'll need to double-check your script. AFAIK, all the official scripts work just fine. Please post your script so we can have a look.


2.
What does the sysinfo output say?
:idea: Please read the FAQ and How to Request Help.

john2691
Posts: 7
Joined: 24 Jan 2017, 07:21

Re: BUG! exception in phase 'semantic analysis'

Post by john2691 » 10 Oct 2018, 18:58

Sure thing, my script is as follows
/usr/local/bin/filebot -script fn:amc /Users/john/Documents/Movies --action hardlink --output /Users/john/Documents/Watch --conflict skip -non-strict --log-file amc.log --def unsorted=n music=n artwork=n excludeList=".excludes"
The sysinfo results in the same error message
filebot -script fn:sysinfo

BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' null
BUG! exception in phase 'semantic analysis' in source unit 'Script1.groovy' null
at net.filebot.cli.ScriptShell.evaluate(ScriptShell.java:64)
at net.filebot.cli.ScriptShell.runScript(ScriptShell.java:74)
at net.filebot.cli.ArgumentProcessor.runScript(ArgumentProcessor.java:154)
at net.filebot.cli.ArgumentProcessor.run(ArgumentProcessor.java:36)
at net.filebot.Main.main(Main.java:131)
Caused by: java.lang.UnsupportedOperationException
at groovyjarjarasm.asm.ClassVisitor.visitNestMemberExperimental(ClassVisitor.java:248)
at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:651)
at groovyjarjarasm.asm.ClassReader.accept(ClassReader.java:391)
... 5 more
I'll also note that "which filebot" does indeed return "/usr/local/bin/filebot".

User avatar
rednoah
The Source
Posts: 14942
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: BUG! exception in phase 'semantic analysis'

Post by rednoah » 11 Oct 2018, 03:43

That is strange indeed. The built-in scripts should always work. What does filebot -version say?
:idea: Please read the FAQ and How to Request Help.

john2691
Posts: 7
Joined: 24 Jan 2017, 07:21

Re: BUG! exception in phase 'semantic analysis'

Post by john2691 » 11 Oct 2018, 04:49

That returns:
filebot -version
FileBot 4.8.2 (r5789) / Java(TM) SE Runtime Environment 11 / Mac OS X 10.14 (x86_64)
I have filebot installed via the App Store in my applications folder, and installed the CLI version via brew. I don't think this should affect it, as this is how the setup was configured before, but I thought it worth mentioning.

User avatar
rednoah
The Source
Posts: 14942
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: BUG! exception in phase 'semantic analysis'

Post by rednoah » 11 Oct 2018, 04:52

I see. The current release of FileBot may not be fully compatible with Java 11.

I recommend using the PKG installer package which includes its own JRE and thus won't run into dependency issues:
https://get.filebot.net/filebot/

:idea: Make sure to completely uninstall all versions of FileBot first, so you only have one installed, as to avoid conflicts and other issues.
:idea: Please read the FAQ and How to Request Help.

john2691
Posts: 7
Joined: 24 Jan 2017, 07:21

Re: BUG! exception in phase 'semantic analysis'

Post by john2691 » 11 Oct 2018, 13:39

That did it, thanks!

rayfun
Posts: 3
Joined: 07 Jan 2018, 21:58

Re: BUG! exception in phase 'semantic analysis'

Post by rayfun » 17 Oct 2018, 14:54

I've run into the same problem. Java 10 is out of date, not supported anymore and also not available anymore. Java 11 is the new LTS version.

Code: Select all

[email protected] ~/dev/src/java-installer/release (latest *=) $ ./get-java.sh get jre x86_64 Linux
Download http://download.oracle.com/otn-pub/java/jdk/10.0.2+13/19aef61b38124481863b1413dce1855f/jre-10.0.2_linux-x64_bin.tar.gz
curl: (22) The requested URL returned error: 404 Not Found
jre-10.0.2_linux-x64_bin.tar.gz: No such file or directory
Expected SHA256 checksum: 7d2909a597574f1821903790bb0f31aaa57ab7348e3ae53639c850371450845d
Actual SHA256 checksum: 
ERROR: SHA256 checksum mismatch

booshtukka
Posts: 5
Joined: 08 Oct 2016, 18:16

Re: BUG! exception in phase 'semantic analysis'

Post by booshtukka » 11 Nov 2018, 11:16

I tried removing everything and installing from the package. I now get this error, even with the GUI:

"This application requires that Java 10 or later be installed on your computer. Please download and install the latest version of Java from www.java.com and try again."

User avatar
rednoah
The Source
Posts: 14942
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: BUG! exception in phase 'semantic analysis'

Post by rednoah » 13 Nov 2018, 06:20

booshtukka wrote:
11 Nov 2018, 11:16
I tried removing everything and installing from the package. I now get this error, even with the GUI:

"This application requires that Java 10 or later be installed on your computer. Please download and install the latest version of Java from www.java.com and try again."
Please use the self-contained macOS installer: *.pkg package, as it doesn't use or rely on the JDK installed on your system:
https://www.filebot.net/#download
:idea: Please read the FAQ and How to Request Help.

Wseries
Posts: 1
Joined: 29 Nov 2018, 15:39

Re: BUG! exception in phase 'semantic analysis'

Post by Wseries » 30 Nov 2018, 15:21

Just upgraded to Mojave and got the same error. I had the MAS version but I have installed the package and it's now working. How can I obtain a complimentary license? I'm unable to send PM's via the forum at this point.

User avatar
rednoah
The Source
Posts: 14942
Joined: 16 Nov 2011, 08:59
Location: Taipei
Contact:

Re: BUG! exception in phase 'semantic analysis'

Post by rednoah » 30 Nov 2018, 16:31

[FAQ] How to request a complimentary license?
viewtopic.php?f=8&t=9517
:idea: Please read the FAQ and How to Request Help.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests